[FFmpeg-devel] Error during configure process

Luca Abeni lucabe72
Mon May 21 11:14:16 CEST 2007

Hi Sebastian,

Sebastian Gumpp wrote:
> Hi,
> today I tried to install FFmpeg on my SUSE Linux 9.3 Webserver.
> I configured with "./configure --enable-gpl --enable-libmp3lame --enable-shared --prefix=/usr" with success.
> In file included from v4l2.c:36:
> /usr/include/linux/videodev2.h:436: error: syntax error before '*' token
Are you using latest svn?
If yes, can you try to check if the following code compiles on your 
system? (save it in "test.c", and do "gcc -c test.c"

#include <sys/time.h>
#include <asm/types.h>
#include <linux/videodev2.h>
int dummy = V4L2_PIX_FMT_YUV420;
struct v4l2_buffer dummy1;

If it does not compile, it means that your distribution is shipping 
broken v4l2 headers. We used to have a check for broken headers, but it 
has been removed during one of the configure cleanups.


More information about the ffmpeg-devel mailing list